/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * This code was generated by https://code.google.com/p/google-apis-client-generator/
 * (build: 2013-08-07 19:00:49 UTC)
 * on 2013-08-08 at 01:13:13 UTC 
 * Modify at your own risk.
 */

package com.google.api.services.drive.model;

/**
 * A collection of properties, key-value pairs that are either public or private to an application.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Drive API. For a detailed explanation see:
 * <a href="http://code.google.com/p/google-http-java-client/wiki/JSON">http://code.google.com/p/google-http-java-client/wiki/JSON</a>
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class PropertyList extends com.google.api.client.json.GenericJson {

  /**
   * The ETag of the list.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String etag;

  /**
   * The list of properties.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.util.List<Property> items;

  /**
   * This is always drive#propertyList.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String kind;

  /**
   * The link back to this list.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String selfLink;

  /**
   * The ETag of the list.
   * @return value or {@code null} for none
   */
  public java.lang.String getEtag() {
    return etag;
  }

  /**
   * The ETag of the list.
   * @param etag etag or {@code null} for none
   */
  public PropertyList setEtag(java.lang.String etag) {
    this.etag = etag;
    return this;
  }

  /**
   * The list of properties.
   * @return value or {@code null} for none
   */
  public java.util.List<Property> getItems() {
    return items;
  }

  /**
   * The list of properties.
   * @param items items or {@code null} for none
   */
  public PropertyList setItems(java.util.List<Property> items) {
    this.items = items;
    return this;
  }

  /**
   * This is always drive#propertyList.
   * @return value or {@code null} for none
   */
  public java.lang.String getKind() {
    return kind;
  }

  /**
   * This is always drive#propertyList.
   * @param kind kind or {@code null} for none
   */
  public PropertyList setKind(java.lang.String kind) {
    this.kind = kind;
    return this;
  }

  /**
   * The link back to this list.
   * @return value or {@code null} for none
   */
  public java.lang.String getSelfLink() {
    return selfLink;
  }

  /**
   * The link back to this list.
   * @param selfLink selfLink or {@code null} for none
   */
  public PropertyList setSelfLink(java.lang.String selfLink) {
    this.selfLink = selfLink;
    return this;
  }

  @Override
  public PropertyList set(String fieldName, Object value) {
    return (PropertyList) super.set(fieldName, value);
  }

  @Override
  public PropertyList clone() {
    return (PropertyList) super.clone();
  }

}
